CVE-2018-20843 Detail

Current Description

In libexpat in Expat before 2.2.7, XML input including XML names that contain a large number of colons could make the XML parser consume a high amount of RAM and CPU resources while processing (enough to be usable for denial-of-service attacks).


View Analysis Description

Severity



CVSS 3.x Severity and Metrics:

NIST CVSS score
NIST: NVD
Base Score:  7.5 HIGH
Vector:  CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H


NVD Analysts use publicly available information to associate vector strings and CVSS scores. We also display any CVSS information provided within the CVE List from the CNA.

Note: NVD Analysts have published a CVSS score for this CVE based on publicly available information at the time of analysis. The CNA has not provided a score within the CVE List.

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource
http://lists.opensuse.org/opensuse-security-announce/2019-07/msg00039.html
https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=5226 Vendor Advisory 
https://github.com/libexpat/libexpat/blob/R_2_2_7/expat/Changes Release Notes  Third Party Advisory 
https://github.com/libexpat/libexpat/issues/186 Issue Tracking  Third Party Advisory 
https://github.com/libexpat/libexpat/pull/262 Exploit  Third Party Advisory 
https://github.com/libexpat/libexpat/pull/262/commits/11f8838bf99ea0a6f0b76f9760c43704d00c4ff6 Patch  Third Party Advisory 
https://lists.debian.org/debian-lts-announce/2019/06/msg00028.html
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/CEJJSQSG3KSUQY4FPVHZ7ZTT7FORMFVD/
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/IDAUGEB3TUP6NEKJDBUBZX7N5OAUOOOK/
https://seclists.org/bugtraq/2019/Jun/39
https://security.gentoo.org/glsa/201911-08
https://security.netapp.com/advisory/ntap-20190703-0001/
https://support.f5.com/csp/article/K51011533
https://usn.ubuntu.com/4040-1/
https://usn.ubuntu.com/4040-2/
https://www.debian.org/security/2019/dsa-4472
https://www.oracle.com/security-alerts/cpuapr2020.html

Weakness Enumeration

CWE-ID CWE Name Source
CWE-611 Improper Restriction of XML External Entity Reference cwe source acceptance level NIST  

Known Affected Software Configurations Switch to CPE 2.2

CPEs loading, please wait.

Denotes Vulnerable Software
Are we missing a CPE here? Please let us know.

Change History

12 change records found show changes

Quick Info

CVE Dictionary Entry:
CVE-2018-20843
NVD Published Date:
06/24/2019
NVD Last Modified:
06/26/2019
Source:
MITRE